using System;

class Program
{
    static void Main()
    {
        int N = int.Parse(Console.ReadLine());
        string[] A = Console.ReadLine().Split();
        string[] B = Console.ReadLine().Split();

        int[] arrA = new int[N];
        int[] arrB = new int[N];

        for (int i = 0; i < N; i++)
        {
            arrA[i] = int.Parse(A[i]);
            arrB[i] = int.Parse(B[i]);
        }

        int maxValue = 0;

        for (int i = 0; i < N; i++)
        {
            for (int j = i; j < N; j++)
            {
                int xorVal = 0;
                int andVal = -1;

                for (int k = i; k <= j; k++)
                {
                    xorVal ^= arrA[k];
                    andVal &= arrB[k];
                }

                int value = xorVal * andVal;
                maxValue = Math.Max(maxValue, value);
            }
        }

        Console.WriteLine(maxValue);
    }
}